{
  description = "Planned Disorder";

  inputs = {
    nixpkgs = {
      url = "github:nixos/nixpkgs/nixos-25.11";
    };

    home-manager = {
      url = "github:nix-community/home-manager/release-25.11";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  # This strange syntax is a workaround for the intentional limitations of `flake.nix` files.
  # https://discourse.nixos.org/t/outlining-the-differences-between-flakes-and-nix-configs/72996
  #
  # It imports the file with the top-level options from [inputs] as arguments.
  outputs = inputs: import ./outputs.nix inputs;
}
